Class Pipe

Declaration :

- C++ : class Pipe : public Struct

structural asset representing a basic building block within the high level model: a port for building a processing chain and generating media output

Artifact : pipe

Relation wiringTemplate (<unidirectional association>)

Declaration :

- Uml : # wiringTemplate : ProcPatt, multiplicity : 0..1
- C++ : protected: ProcPatt* wiringTemplate

All public operations : enable , getDependant , getParents , isActive